<?php
namespace Teknisa\PED\Services;

use Doctrine\ORM\EntityManager;

use Teknisa\PED\Factories\Ger96600AlvarasLicenciamentoFactory;

class Ger96600AlvarasLicenciamentoService {
    
    protected $entityManager;
    protected $licenciamentoFactory;
    
    public function __construct(EntityManager $entityManager, Ger96600AlvarasLicenciamentoFactory $licenciamentoFactory){
        $this->entityManager = $entityManager;
        $this->licenciamentoFactory = $licenciamentoFactory;
    }
    
    public function getMaxNrAlvara(){
        return $this->licenciamentoFactory->getMaxNrAlvara();
    }
}