function Exp0800_comissaoVendedorPeriodo_Repository(restEngine) {
    
    this.apurarComissao = function(row) {
        return restEngine.post('ped#/apurarComissao', {
            "requestType": "Row",
            "row": row
        });
  
    };
    
    
    this.saveNota = function(row) {
        return restEngine.post('ped#/saveNotaForaPeriodo', {
            "requestType": "Row",
            "row": row
        });
  
    };
    
    this.saveConta = function(row) {
        return restEngine.post('ped#/saveContaForaPeriodo', {
            "requestType": "Row",
            "row": row
        });
  
    };
    
    this.verificaMapasAnteriores = function(mapa) {
       var filter = [
            {
                "name": "CDFILICOMIS",
                "operator": "=",
                "value": mapa.CDFILIAL
            },
            {
                "name": "CDVENDEDOR",
                "operator": "=",
                "value": mapa.VENDEDOR
            },
            {
                "name": "NRORG",
                "operator": "=",
                "value": mapa.NRORG
            },
            {
                "name": "IDBLOQMAPACOMIS",
                "operator": "=",
                "value": "N"
            },
            {
                "name": "DTINIPERIODO",
                "operator": "<",
                "value": mapa.INICIAL
            }
            
        ];
       return restEngine.post('ped#/crud/mapacomperiodo', {
            "requestType": "FilterData",
            "filter": filter
       });
   };
   
    this.verificaAlertaMapas = function(mapa) {
        return restEngine.post('ped#/verificaAlertaMapas', {
            "requestType": "Row",
            "row": mapa
        });

   };
   
    this.gerarContaPagar = function(row) {
        return restEngine.post('ped#/gerarContaPagar', {
            "requestType": "Row",
            "row": row
        });
    };
    
    this.saveComissaoProduto = function(row) {
        return restEngine.post('ped#/saveComissaoProduto', {
            "requestType": "Row",
            "row": row
        });
    };
   
    this.verificaContaPagar = function(row) {
 
        var filter = [
            {
                "name": "CDFILICOMIS",
                "operator": "=",
                "value": row.CDFILICOMIS
            },
            {
                "name": "CDVENDEDOR",
                "operator": "=",
                "value": row.CDVENDEDOR
            },
            {
                "name": "NRMAPACOMIS",
                "operator": "=",
                "value": row.NRMAPACOMIS
            }
        ];
        return restEngine.post('ped#/crud/mapacompag', {
            "requestType": "FilterData",
            "filter": filter
        });
    };
    
    this.excluirMapa = function(row) {
        return restEngine.post('ped#/excluirMapa', {
            "requestType": "Row",
            "row": row
        });
    };
    
    this.recalculoComissao = function(dataset){
        return restEngine.post('ped#/recalculoComissao',{
            "requestType": "DataSet",  
            "dataset": dataset
        });  
    };
    
}

Configuration(function(ContextRegister){
    ContextRegister.register('Exp0800_comissaoVendedorPeriodo_Repository', Exp0800_comissaoVendedorPeriodo_Repository);
});